Enables reading from a COM safe array, which might have an alternate lower bound, or multiple dimensions.

### Type parameters

- #### T

### Hierarchy

- VBArray

## Index

### Methods

- dimensions
- getItem
- lbound
- toArray
- ubound

## Methods

### dimensions

- dimensions(): number

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.scripthost.d.ts:280

  Returns the number of dimensions (1-based).

  #### Returns number

### getItem

- getItem(dimension1Index: number, ...dimensionNIndexes: number[]): T

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.scripthost.d.ts:285

  Takes an index for each dimension in the array, and returns the item at the corresponding location.

  #### Parameters

  - ##### dimension1Index: number

  - ##### Rest ...dimensionNIndexes: number[]

  #### Returns T

### lbound

- lbound(dimension?: undefined | number): number

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.scripthost.d.ts:291

  Returns the smallest available index for a given dimension.

  #### Parameters

  - ##### Optional dimension: undefined | number

    1-based dimension (defaults to 1)

  #### Returns number

### toArray

- toArray(): T[]

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.scripthost.d.ts:304

  Returns a Javascript array with all the elements in the VBArray. If there are multiple dimensions, each successive dimension is appended to the end of the array. Example: [[1,2,3],[4,5,6]] becomes [1,2,3,4,5,6]

  #### Returns T[]

### ubound

- ubound(dimension?: undefined | number): number

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.scripthost.d.ts:297

  Returns the largest available index for a given dimension.

  #### Parameters

  - ##### Optional dimension: undefined | number

    1-based dimension (defaults to 1)

  #### Returns number

Generated using TypeDoc